package com.pon3gaming.pegasusfly;

import java.util.ArrayList;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

public class PegasusFly extends JavaPlugin {
	public static ArrayList<String> isPegged = new ArrayList<String>();

	@Override
	public void onEnable() {
		PluginManager pm = this.getServer().getPluginManager();
		pm.registerEvents(new PegasusFlyListener(), this);
		Bukkit.getScheduler().scheduleSyncRepeatingTask(this, new Runnable() {
			@Override
			public void run() {
				Player[] players = Bukkit.getOnlinePlayers();
				if (players.length > 0) {
					for (Player p : players) {
						if (PegasusFly.isPegged.contains(p.getName())
								&& p.isFlying()) {
							if (p.getFoodLevel() > 6) {
								p.setFoodLevel(p.getFoodLevel() - 1);
							} else {
								p.setAllowFlight(false);
								PegasusFly.isPegged.remove(p.getName());
								p.sendMessage(ChatColor.AQUA
										+ "You ran out of gas...");
							}
						}
					}
				}
			}
		}, 0, 200);
		System.out.println("PegasusFly has been enabled.");
	}

	@Override
	public void onDisable() {
		System.out.println("PegasusFly has been disabled.");
	}

	public boolean onCommand(CommandSender sender, Command cmd,
			String commandLabel, String[] args) {
		if (cmd.getName().equalsIgnoreCase("pfly")) {
			if (sender instanceof Player) {
				Player player = (Player) sender;
				String playerName = ((Player) sender).getName();
				if (player.getAllowFlight()
						&& PegasusFly.isPegged.contains(playerName)) {
					PegasusFly.isPegged.remove(playerName);
					player.setAllowFlight(false);
					player.sendMessage(ChatColor.AQUA + "Flight disabled!");
					return true;
				} else if (player.getFoodLevel() > 6) {
					PegasusFly.isPegged.add(playerName);
					player.setAllowFlight(true);
					player.sendMessage(ChatColor.AQUA + "Flight enabled! Keep an eye on your food!");
				} else
					player.sendMessage(ChatColor.AQUA
							+ "You're too hungry to fly!");
			} else
				sender.sendMessage(ChatColor.RED
						+ "This cannot be executed from the console.");
			return true;
		} else
			return false;
	}
}